Subject: Re: [bug#29555] [PATCH] gnu: rust: update rust to 1.22.1 and cargo to 1.23.0

From: Jelle Licht <[email-masked]>
Date: Mon, 4 Dec 2017 15:33:31 +0100

2017-12-03 20:01 GMT+01:00 Nikolai Merinov <[email-masked]>:

> Update for a rustc and cargo packages. This update will also fix a
> build.
>
>
I do not have enough know-how to properly review your patch, but at least I
can verify it seems to work.
I was able to build rustc and cargo succesfully with your patches, and was
able to build and run a trivial hello world program written in rust.
When this patch is merged,  I think we can also close
http://lists.gnu.org/archive/html/bug-guix/2017-12/msg00006.html, as it
will no longer be relevant.